Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionRefreshToken`, `ClientWireProtocol.ClientConnectionRefreshToken.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClientConnectionRefreshTokenOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.SecurityToken` | `getOldSecurityToken()` | The token to refresh
`ClientWireProtocol.SecurityTokenOrBuilder` | `getOldSecurityTokenOrBuilder()` | The token to refresh
`boolean` | `hasOldSecurityToken()` | The token to refresh

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasOldSecurityToken

boolean hasOldSecurityToken()

     The token to refresh

`.xg.cmdcomp.SecurityToken oldSecurityToken = 1;`

Returns:
  Whether the oldSecurityToken field is set.

### getOldSecurityToken

ClientWireProtocol.SecurityToken getOldSecurityToken()

     The token to refresh

`.xg.cmdcomp.SecurityToken oldSecurityToken = 1;`

Returns:
  The oldSecurityToken.

### getOldSecurityTokenOrBuilder

ClientWireProtocol.SecurityTokenOrBuilder getOldSecurityTokenOrBuilder()

     The token to refresh

`.xg.cmdcomp.SecurityToken oldSecurityToken = 1;`